#include version.txt

uniform sampler2D source;
uniform sampler2D destination;
uniform float time_step;

void main() {	
	gl_FragColor = texture2D(destination, gl_TexCoord[0].xy) + (vec4(time_step) * texture2D(source, gl_TexCoord[0].xy));
}
